package com.microservices.zone.common.mapper;

import com.microservices.zone.common.domain.ZoneVisits;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 特色专区用户浏览Mapper接口
 *
 * @author otto
 * @date 2024-11-26
 */
@Mapper
public interface ZoneVisitsMapper {
    /**
     * 查询特色专区用户浏览
     *
     * @param id 特色专区用户浏览主键
     * @return 特色专区用户浏览
     */
    public ZoneVisits selectZoneVisitsById(Long id);

    /**
     * 查询特色专区用户浏览列表
     *
     * @param zoneVisits 特色专区用户浏览
     * @return 特色专区用户浏览集合
     */
    public List<ZoneVisits> selectZoneVisitsList(ZoneVisits zoneVisits);

    /**
     * 新增特色专区用户浏览
     *
     * @param zoneVisits 特色专区用户浏览
     * @return 结果
     */
    public int insertZoneVisits(ZoneVisits zoneVisits);

    /**
     * 修改特色专区用户浏览
     *
     * @param zoneVisits 特色专区用户浏览
     * @return 结果
     */
    public int updateZoneVisits(ZoneVisits zoneVisits);

    /**
     * 删除特色专区用户浏览
     *
     * @param id 特色专区用户浏览主键
     * @return 结果
     */
    public int deleteZoneVisitsById(Long id);

    /**
     * 批量删除特色专区用户浏览
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteZoneVisitsByIds(Long[] ids);
}
